public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "José María Alonso" <nimiux@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/lisp:master commit in: dev-lisp/cffi/
Date: Tue,  7 Jun 2016 21:42:45 +0000 (UTC)	[thread overview]
Message-ID: <1465335790.d206405ba21aaffd93aff714d31f12be2ac1d9e1.nimiux@gentoo> (raw)

commit:     d206405ba21aaffd93aff714d31f12be2ac1d9e1
Author:     Chema Alonso Josa <nimiux <AT> gentoo <DOT> org>
AuthorDate: Tue Jun  7 21:43:10 2016 +0000
Commit:     José María Alonso <nimiux <AT> gentoo <DOT> org>
CommitDate: Tue Jun  7 21:43:10 2016 +0000
URL:        https://gitweb.gentoo.org/proj/lisp.git/commit/?id=d206405b

dev-lisp/cffi: Bump to version 0.17.1

 dev-lisp/cffi/cffi-0.17.1.ebuild | 49 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)

diff --git a/dev-lisp/cffi/cffi-0.17.1.ebuild b/dev-lisp/cffi/cffi-0.17.1.ebuild
new file mode 100644
index 0000000..f361fe9
--- /dev/null
+++ b/dev-lisp/cffi/cffi-0.17.1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit common-lisp-3
+
+MY_P=${PN}_${PV}
+
+DESCRIPTION="The Common Foreign Function Interface (CFFI)"
+HOMEPAGE="http://common-lisp.net/project/cffi/"
+SRC_URI="http://common-lisp.net/project/${PN}/releases/${MY_P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+IUSE="doc"
+
+DEPEND="doc? ( dev-lisp/sbcl virtual/texi2dvi )"
+RDEPEND="!dev-lisp/cl-${PN}
+		dev-lisp/alexandria
+		dev-lisp/babel
+		dev-lisp/trivial-features"
+
+CLSYSTEMS="cffi.asd cffi-tests.asd cffi-examples.asd cffi-grovel.asd \
+		cffi-uffi-compat.asd"
+
+S="${WORKDIR}"/${MY_P}
+
+src_compile() {
+	if use doc ; then
+		VARTEXFONTS="${T}"/fonts \
+			make -C doc manual spec || die "Cannot build docs"
+	fi
+}
+
+src_install() {
+	common-lisp-install-sources examples/ src/ uffi-compat/
+	common-lisp-install-sources -t all grovel/ tests/
+	common-lisp-install-asdf
+	dodoc README.md TODO doc/*.txt
+	if use doc; then
+		doinfo doc/*.info
+		rm doc/{spec,manual}/cffi*
+		insinto /usr/share/doc/${PF}/html
+		doins -r doc/{spec,manual}
+	fi
+}


             reply	other threads:[~2016-06-07 21:42 UTC|newest]

Thread overview: 20+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-06-07 21:42 José María Alonso [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-04-01 12:03 [gentoo-commits] proj/lisp:master commit in: dev-lisp/cffi/ Ulrich Müller
2018-05-28 17:06 José María Alonso
2018-05-28 17:04 José María Alonso
2017-08-30 19:34 José María Alonso
2017-08-07 19:40 José María Alonso
2017-07-07 10:04 José María Alonso
2016-12-22 11:21 José María Alonso
2016-06-07 21:57 José María Alonso
2015-12-31 10:01 José María Alonso
2015-11-23 11:41 José María Alonso
2015-11-15 19:32 José María Alonso
2015-11-15 19:09 José María Alonso
2015-11-15 19:06 José María Alonso
2015-05-16 21:41 José María Alonso
2015-05-16 21:28 José María Alonso
2015-05-03 20:52 José María Alonso
2013-07-09 17:59 José María Alonso
2013-07-09 17:54 José María Alonso
2013-04-07 19:13 José María Alonso

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1465335790.d206405ba21aaffd93aff714d31f12be2ac1d9e1.nimiux@gentoo \
    --to=nimiux@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox